Public Class Form1
    Dim ImageIndex As Integer = 0

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If ImageIndex < ImageList1.Images.Count - 1 Then
            ImageIndex += 1
        Else
            ImageIndex = 0
        End If
        ImageList1.Draw(Graphics.FromHwnd(Panel1.Handle), 0, 0, ImageIndex)
    End Sub

    Private Sub Panel1_Paint(sender As Object, e As PaintEventArgs) Handles Panel1.Paint
        ImageList1.Draw(e.Graphics, 0, 0, ImageIndex)
    End Sub
End Class
